using Moq;
using NUnit.Framework;

namespace eSuite.API.UnitTests.Controllers.InternalMessagingControllerUnitTests;

[TestFixture]
public class PostImportGmgProfilesUnitTests : InternalMessagingControllerTestBase
{
    [SetUp]
    public override async Task Setup()
    {
        await base.Setup();
    }

    [Test]
    public async Task WhenCalled_CallsMessageSender()
    {
        //Arrange

        //Act
        await _internalMessagingController.PostImportGmgProfiles(CancellationToken.None);

        //Assert
        _sigmaImportMessageSenderMock.Verify(x => x.PostImportGMGProfiles(), Times.Once);
    }
}